Subject: bug#71289: 30.0.50; cmcheckmagic aborts when tty_write_glyphs writes "Garbage collecting..." in some cases

From: Daniel Clemente <[email-masked]>
Date: Wed, 4 Sep 2024 06:09:50 +0000

> > The build_frame_matrix_from_leaf_window crash still happens.
>
> That's another problem.  There seems to be some disconnect, time-wise,
> in reallocating frame matrices and sub-allocating window matrices from
> the frame matrices, and the crash happens when the check is done
> in-between those two.
>
> This will need more work.  Patches and relevant data are welcome.

I reported the build_frame_matrix_from_leaf_window problem separately
to provide simpler instructions. (Can you mention the new bug number
once it's approved?). The original problem mentioned here is about GC
messages and it was fixed, so I think it can be closed.
The build_frame_matrix_from_leaf_window error is easier to reproduce
in comparison.